function plot_gnu(series,lab);
if size(series,2)==1
series=series(:);
end
series=[[1:size(series,1)]',series];
ns=size(series);
if nargin<2;
    lab={'y'};
end
% lab=lab(:);
dlmwrite('temp_ser.dat',series,'delimiter','\t');
% ss=['set tic scale 0;plot "temp_ser.dat" using 1:',num2str(2),' title "',lab{1},'" with points pointtype 15 pointsize 10, \'];
ss=['set tic scale 0;plot \'];

zz=1;
for jj=2:ns(2);
    if nargin<2;
    lab{zz,1}='y';
    end
    if jj<ns(2);
    ss=strvcat(ss,...
        ['"temp_ser.dat" using 1:',num2str(jj),' title "',lab{zz},'" with points, \']...
    );
    else
        ss=strvcat(ss,...
        [' "temp_ser.dat" using 1:',num2str(jj),' title "',lab{zz},'" with points ']...
    );
    end
    zz=zz+1;
end
gg=strvcat('set terminal dumb',...
    ss);

fid=fopen('temp.pg','w+');
fprintf(fid,'%s\n',regexprep(gg(1,:),'\s*\>',''));
fclose(fid);
fid=fopen('temp.pg','a+');
for jj=2:size(gg,1);
fprintf(fid,'%s\n',regexprep(gg(jj,:),'\s*\>',''));
end
fclose(fid);
!gnuplot temp.pg

delete temp_ser.dat temp.pg
return